#
# spec file for package jakarta-commons-daemon
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           jakarta-commons-daemon
Version:        1.0.5
Release:        4.5.1
License:        Apache v2.0
Group:          System/Daemons
Url:            http://commons.apache.org/daemon/
Source:         commons-daemon-%{version}-src.tar.bz2
Patch0:         commons-daemon-1.0.4-return_value.patch
Patch1:         jakarta-commons-daemon-CVE-2011-2729.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  ant
BuildRequires:  java-devel
BuildRequires:  libcap-devel
Requires:       jakarta-commons-daemon-java = %{version}
Provides:       jsvc = %{version}-%{release}
Summary:        Commons Daemon - Controlling of Java Daemons

%description
The Daemon Component contains a set of Java and native code, including
a set of Java interfaces applications must implement and Unix native
code to control a Java daemon from a Unix operating system.

%package java
License:        Apache v2.0
Group:          Development/Libraries/Java
BuildArch:      noarch
Requires:       java >= 1.5
Provides:       commons-daemon > 1.0.1
Obsoletes:      commons-daemon <= 1.0.1
Summary:        Commons Daemon Java Libraries

%description java
The Java libraries for Commons Daemon.

%package javadoc
License:        Apache v2.0
Group:          Documentation/Other
BuildArch:      noarch
Summary:        Commons Daemon Javadoc

%description javadoc
The Javadoc Documentation for Commons Daemon. 


%prep
%setup -qn commons-daemon-%{version}-src
%patch0
%patch1

%build
pushd src/native/unix
%configure
%__make %{?_smp_mflags}
popd
ant jar test javadoc

%install
%__install -Dm 0755 src/native/unix/jsvc %{buildroot}%{_sbindir}/jsvc
%__install -Dm 0644 dist/commons-daemon-%{version}.jar %{buildroot}%{_javadir}/commons-daemon-%{version}.jar
%__ln_s %{_javadir}/commons-daemon-%{version}.jar %{buildroot}%{_javadir}/commons-daemon.jar
%__ln_s %{_javadir}/commons-daemon-%{version}.jar %{buildroot}%{_javadir}/jakarta-commons-daemon.jar
%__ln_s %{_javadir}/commons-daemon-%{version}.jar %{buildroot}%{_javadir}/jakarta-commons-daemon-%{version}.jar

%__install -d %{buildroot}%{_javadocdir}/commons-daemon-%{version}
cp -a dist/docs/api/* %{buildroot}%{_javadocdir}/commons-daemon-%{version}
%__ln_s %{_javadocdir}/commons-daemon-%{version} %{buildroot}%{_javadocdir}/commons-daemon
%__ln_s %{_javadocdir}/commons-daemon-%{version} %{buildroot}%{_javadocdir}/jakarta-commons-daemon
%__ln_s %{_javadocdir}/commons-daemon-%{version} %{buildroot}%{_javadocdir}/jakarta-commons-daemon-%{version}

%clean
test "%{buildroot}" != "/" && %__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc RELEASE-NOTES.txt
%{_sbindir}/jsvc

%files java
%defattr(-,root,root)
%{_javadir}/commons-daemon.jar
%{_javadir}/commons-daemon-%{version}.jar
%{_javadir}/jakarta-commons-daemon.jar
%{_javadir}/jakarta-commons-daemon-%{version}.jar

%files javadoc
%defattr(-,root,root)
%doc src/docs/*
%{_javadocdir}/commons-daemon
%doc %{_javadocdir}/commons-daemon-%{version}
%{_javadocdir}/jakarta-commons-daemon
%{_javadocdir}/jakarta-commons-daemon-%{version}

%changelog
* Tue Sep  6 2011 mvyskocil@suse.cz
- fix bnc#VUL-0: jakarta-commons-daemon: allows remote attackers to bypass file
  permissions (CVE-2011-2729)
* Wed Jan 19 2011 bitshuffler@opensuse.org
- Updated to 1.0.5.
- Reworked spec.
- Removed obsolete patches.
* Wed Aug 26 2009 mls@suse.de
- make patch0 usage consistent
* Mon Sep 25 2006 skh@suse.de
- don't use icecream
- use source="1.4" and target="1.4" for build with java 1.5
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 16 2006 jsmeix@suse.de
- Current version 1.0.1 from JPackage.org
* Wed Jul 27 2005 jsmeix@suse.de
- Adjustments in the spec file.
* Wed Jul 20 2005 jsmeix@suse.de
- Current version 1.0 from JPackage.org
* Mon Jul 18 2005 jsmeix@suse.de
- Current version 1.0 from JPackage.org
* Thu Sep 16 2004 skh@suse.de
- Fix prerequires of javadoc subpackage
* Thu Sep  2 2004 skh@suse.de
- Initial package created with version 1.0 (JPackage 1.5)
